## nstreams 1.0.4+ds

=== Makefile ===
include nstreams.tmpl

all : nstreams

nstreams : 
	cd src && ${MAKE}
	
clean : 
	cd src && ${MAKE} clean


install : all
	$(INSTALL) -m 0755 -d ${prefix}/bin
	$(INSTALL) -m 0755 src/nstreams ${prefix}/bin  
	$(INSTALL) -m 0755 -d ${prefix}/man
	$(INSTALL) -m 0755 -d ${prefix}/man/man1
	$(INSTALL) -m 0444 docs/nstreams.1 ${prefix}/man/man1/
	if [ -f ${prefix}/etc/nstreams-services ]; then mv ${prefix}/etc/nstreams-services ${prefix}/etc/nstreams-services.old;fi
	$(INSTALL) -m 0644 docs/nstreams-services ${prefix}/etc/nstreams-services
	$(INSTALL) -m 0644 docs/nstreams-networks ${prefix}/etc/nstreams-networks.sample
	
distclean : clean
	rm -f includes/config.h config.cache config.status config.log nstreams.tmpl

=== src/Makefile ===
include ../nstreams.tmpl

OBJS=nstreams.o parse_tcpdump.o config_rules.o ports.o cache.o \
	networks.o output.o read_pcap.o

COMPILE=$(CC) $(CFLAGS)
LIBS=-lpcap
all : nstreams

nstreams : $(OBJS)
	$(COMPILE) $(OBJS)  -o nstreams $(LIBS)
	
nstreams.o : nstreams.c
	$(COMPILE)  -c nstreams.c 

parse_tcpdump.o : parse_tcpdump.c
	$(COMPILE) -c parse_tcpdump.c
	
read_pcap.o : read_pcap.c
	$(COMPILE) -c read_pcap.c

config_rules.o : config_rules.c
	$(COMPILE) -c config_rules.c

ports.o : ports.c
	$(COMPILE) -c ports.c
	
cache.o : cache.c
	$(COMPILE) -c cache.c
	
networks.o : networks.c
	$(COMPILE) -c networks.c

output.o : output.c output.h	
	$(COMPILE) -c output.c
	
			
clean : 
	rm -f $(OBJS) nstreams

## nstreams 1.0.4

=== debian/changelog ===
nstreams (1.0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007384)
  * Declare missing function prototype (Closes: #1066194)

  [ Helmut Grohne ]
  * FTCBFS: Let dpkg's buildtools.mk supply a CC to configure (Closes: #939158)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 14:59:32 +0000

nstreams (1.0.4-1) unstable; urgency=medium

  * New upstream version
  * Bug fix: "debian/watch fails to report upstream&#39;s version", thanks
    to Raphael Geissert (Closes: #450163).
  * Bug fix: "please upgrade your watch file", thanks to Raphael Geissert
    (Closes: #529131).
  * Update from debhelper 4.0.0 to 9
  * Standards-Version goes 3.5.6.1 (!) to 3.9.5
  * Remove handling of *really* old config file locations

 -- Joerg Jaspert <joerg@debian.org>  Wed, 19 Feb 2014 13:03:52 +0100

nstreams (1.0.3-2) unstable; urgency=low

  * Just a rebuild for the libpcap stuff. (closes: #156205)

 -- Joerg Jaspert <joerg@debian.org>  Sun, 11 Aug 2002 16:50:51 +0200

nstreams (1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Joerg Jaspert <joerg@debian.org>  Tue,  6 Aug 2002 23:50:29 +0200

nstreams (1.0.2-2) unstable; urgency=low

  * Applied Patch from Guillaume Morin which fixes the segfault
    on ppc (and sparc i hope). (closes: #143988)

 -- Joerg Jaspert <joerg@debian.org>  Tue,  6 Aug 2002 20:58:01 +0200

nstreams (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #143647)
  * New Maintainer (closes: #143654)
  * Spelling error in description is no more... (closes: #125191)
  * Standards-Version up to 3.5.2
  * Added Build-Depends, this Package had none.
  * Replaced debian/rules. It is now more like my other debian/rules.
  * Added postrm Script to remove /etc/nstreams on purge if it still exists. (closes: #89477)

 -- Joerg Jaspert <joerg@debian.org>  Sat, 20 Apr 2002 14:29:00 +0200

nstreams (1.0-2) unstable; urgency=low

  * Closes: #54041 
  * Modified configure script to actually accept --sysconfdir parm
  * Moved the maintainer conf files to /etc/nstreams/*

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Tue,  4 Jan 2000 13:49:40 -0500

nstreams (1.0-1) unstable; urgency=low

  * Initial Release.

  * Modified the program to read /etc/nstreams/nstreams* instead of /etc/nstreams*

 -- Vaidhyanathan G Mayilrangam <vaidhy@debian.org>  Tue, 23 Nov 1999 19:01:06 -0500

=== debian/control ===
Source: nstreams
Section: net
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Build-Depends: debhelper (>= 9), libpcap-dev, autotools-dev
Standards-Version: 3.9.5

Package: nstreams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tcpdump
Description: network streams - a tcpdump output analyzer
 Nstreams is a utility designed to identify the IP streams that are 
 occurring on a network from a non-user friendly tcpdump output of
 several megabytes. This is especially useful when you plan to install 
 a firewall but if you do not know the nstreams that the network users 
 are generating (http, real audio, and more...). 
 .
 Nstreams can read the tcpdump output directly from stdin, or from a file. 
 It can even generate the configuration file of your firewall.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk
export CC

%:
	dh $@ --with autotools_dev

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	[ ! -f nstreams.tmpl ] || $(MAKE) distclean
	dh_clean

=== debian/watch ===
version=3
ftp://cvs.nessus.org/pub/nstreams/nstreams-(.*)\.tar\.gz
http://www.hsc.fr/ressources/outils/nstreams/download/nstreams-(.*)\.tar\.gz

## nstreams 1.0.4%2Bds

=== debian/control ===
Source: nstreams
Section: net
Priority: optional
Maintainer: Joerg Jaspert <joerg@debian.org>
Build-Depends: debhelper-compat (= 13), libpcap-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/nstreams
Vcs-Git: https://salsa.debian.org/debian/nstreams.git
Homepage: https://web.archive.org/web/20161127160704/http://www.hsc.fr/ressources/outils/nstreams/
Rules-Requires-Root: no

Package: nstreams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tcpdump
Description: network streams - a tcpdump output analyzer
 Nstreams is a utility designed to identify the IP streams that are
 occurring on a network from a non-user friendly tcpdump output of
 several megabytes. This is especially useful when you plan to install
 a firewall but if you do not know the nstreams that the network users
 are generating (http, real audio, and more...).
 .
 Nstreams can read the tcpdump output directly from stdin, or from a file.
 It can even generate the configuration file of your firewall.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/dpkg/buildtools.mk
export CC

%:
	dh $@

override_dh_auto_clean:
	[ ! -f nstreams.tmpl ] || dh_auto_clean

## nstreams 1.0.4+ds

=== debian/changelog ===
nstreams (1.0.4+ds-0.1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:37:24 +0100

nstreams (1.0.4+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
    Closes: #1089721
  * Maintain in Debian team
  * Point Homepage to Webarchive
  * Debhelper compat level 13
    Closes: #1100079
  * d/copyright: DEP-5
  * Fix configure.in, add missing includes
    Closes: #1075323
  * Closing bug which was done in previous NMU
    Closes: #751520
  * Standards-Version: 4.7.0 (routine-update)
  * Fake watch file since upstream source vanished from internet
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no
  * Trim trailing whitespace.
  * Exclude some files from upstream source which are outdated and just
    create trouble
  * debian/dirs: delete since not needed

 -- Andreas Tille <tille@debian.org>  Mon, 17 Mar 2025 07:45:50 +0100
